ОтобразитьДиректорию = мир =>
{
    var домен = window.location.hostname;
    var текст = `🌐 ${домен}${мир.директория}`;
    document.title = текст;
    $(`#${мир.макет.константы.заголовокЛево}`).text(текст);
};


// // // //


ОтслеживатьВыборФайлаДвойнымНажатием = мир =>
{
    for (var н in мир.списокФайлов)
    {
        const номер = н;
        const ссылка = `список-файлов_${н}_ссылка`;
        $(`#${ссылка}`).dblclick(function() {
            мир.номерВыбранногоФайла = номер;
            мир.уведомить("выбрали файл двойным нажатием");
        });
    }
};


// // // //


ОтслеживатьВыборФайлаОдинарнымНажатием = мир =>
{
    for (var н in мир.списокФайлов)
    {
        const номер = н;
        const ссылка = `список-файлов_${н}_ссылка`;
        $(`#${ссылка}`).click(function() {
            мир.номерВыбранногоФайла = номер;
            мир.уведомить("выбрали файл одинарным нажатием");
        });
    }
};


// // // //


ОтобразитьСписокФайлов = мир =>
{
    const список = мир.списокФайлов;
    var содержимое = "";
    for (var н in список)
    {
        const элемент = список[н];
        содержимое += `
<li id="список-файлов_${н}">
    <a id="список-файлов_${н}_ссылка">
        ${элемент}
    </a>
</li>
        `;
    }
    содержимое = `<ul class="uk-nav uk-nav-default tm-nav">${содержимое}</ul>`;
    $(`#${мир.макет.константы.меню}`).html(содержимое);
};


// // // //


ОтслеживатьНажатияКнопокШапки = мир =>
{
    for (var н in мир.кнопкиШапки)
    {
        const кнопка = мир.кнопкиШапки[н];
        $(`#${кнопка["🎃"]}`).click(function() {
            мир.уведомить(кнопка["💥"]);
        });
    }
};


// // // //


ЗадатьКнопкиШапки = мир =>
{
    var содержимое = "";
    for (var н in мир.кнопкиШапки)
    {
        var кнопка = мир.кнопкиШапки[н];
        содержимое += `
<ul class="uk-navbar-nav">
    <li><a id="${кнопка["🎃"]}" class="height40">${кнопка["🍲"]}</a></li>
</ul>
        `;
    }
    $(`#${мир.макет.константы.заголовокПраво}`).html(содержимое);
};


// // // //


ПодготовитьМорду = мир =>
{
    мир.кнопкиШапки = [];
};